// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef SYSINTERFACES_IRUNNABLE_H
#define SYSINTERFACES_IRUNNABLE_H

/************************************************************
 IRunnable class header
 ************************************************************/

#include "sysinterfaces/Pkg_sysinterfaces.h"

// derived using directives

namespace sysinterfaces {

/************************************************************/
/**
 * 
 */
class IRunnable {
public:

	/**
	 * 
	 */
	virtual void run() = 0;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace sysinterfaces

/************************************************************
 End of IRunnable class header
 ************************************************************/

#endif
